> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get opportunities

> Get opportunities



## OpenAPI

````yaml get /v1/integrations/opportunities
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/integrations/opportunities:
    get:
      summary: Get opportunities
      description: Get opportunities
      parameters:
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
          required: false
          name: recordingId
          in: query
        - schema:
            type: string
          required: false
          name: externalId
          in: query
      responses:
        '200':
          description: Get opportunities
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        externalId:
                          type: string
                          description: >-
                            The ID of the opportunity in the external system
                            (e.g. Salesforce)
                        name:
                          type: string
                          nullable: true
                          description: The name of the opportunity
                        amount:
                          type: number
                          description: The dollar amount of the opportunity
                        closedAt:
                          type: string
                          description: The closure date of the opportunity
                        disposition:
                          type: string
                          description: '"WON" | "LOST" | "OPEN"'
                        createdAt:
                          type: string
                          description: The date the opportunity was created
                        updatedAt:
                          type: string
                          description: The date the opportunity was last updated
                        recordingId:
                          type: string
                          description: >-
                            The ID of the recording associated to the
                            opportunity
                        accountId:
                          type: string
                        organizationId:
                          type: string
                        account:
                          nullable: true
                        opportunityUsers:
                          type: array
                          items:
                            nullable: true
                      required:
                        - id
                        - externalId
                        - createdAt
                        - updatedAt
                        - organizationId
                  cursor:
                    anyOf:
                      - type: string
                      - type: number
                      - nullable: true
                  pageSize:
                    type: number
                  limit:
                    type: number
                  total:
                    type: number
                    nullable: true
                  hasNextPage:
                    type: boolean
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````